> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Resize Volume

> Grow a volume. Online on CephFS; volumes can't shrink.



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json patch /api/v1/training/volumes/{name}
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/training/volumes/{name}:
    patch:
      tags:
        - training
      summary: Resize Volume
      description: Grow a volume. Online on CephFS; volumes can't shrink.
      operationId: resize_volume_api_v1_training_volumes__name__patch
      parameters:
        - name: name
          in: path
          required: true
          schema:
            type: string
            title: Name
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResizeVolumeRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VolumeResponse'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    ResizeVolumeRequest:
      properties:
        size:
          type: string
          title: Size
        teamId:
          anyOf:
            - type: string
            - type: 'null'
          title: Teamid
      type: object
      required:
        - size
      title: ResizeVolumeRequest
    VolumeResponse:
      properties:
        name:
          type: string
          title: Name
        size:
          anyOf:
            - type: string
            - type: 'null'
          title: Size
        status:
          type: string
          title: Status
        clusterId:
          type: string
          title: Clusterid
        namespace:
          type: string
          title: Namespace
        pvcName:
          type: string
          title: Pvcname
        createdBy:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdby
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
      type: object
      required:
        - name
        - size
        - status
        - clusterId
        - namespace
        - pvcName
        - createdBy
        - createdAt
      title: VolumeResponse
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````